/********************************************************************************/
/*                                                                              */
/*  Kroenke, Auer, Vandenberg, Yoder - DBC (8th Edition) Chapter 08             */
/*                                                                              */
/*  The QACS-DW Database Data                                                   */
/*                                                                              */
/*  These are the Oracle Database XE SQL code solutions                  */
/*                                                                              */
/********************************************************************************/
/*****   TIMELINE   *************************************************************/

INSERT INTO TIMELINE VALUES(
	42718, TO_DATE('14-DEC-16', 'DD-MON-YY'),	12, 'Dec', 4, 'Qtr4', 2016);
INSERT INTO TIMELINE VALUES(
	42719, TO_DATE('15-DEC-16', 'DD-MON-YY'),	12, 'Dec', 4, 'Qtr4', 2016);
INSERT INTO TIMELINE VALUES(
	42727, TO_DATE('23-DEC-16', 'DD-MON-YY'),	12, 'Dec', 4, 'Qtr4', 2016);
INSERT INTO TIMELINE VALUES(
	42740, TO_DATE('05-JAN-17', 'DD-MON-YY'),	1, 'Jan', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42745, TO_DATE('10-JAN-17', 'DD-MON-YY'),	1, 'Jan', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42747, TO_DATE('12-JAN-17', 'DD-MON-YY'),	1, 'Jan', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42750, TO_DATE('15-JAN-17', 'DD-MON-YY'),	1, 'Jan', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42760, TO_DATE('25-JAN-17', 'DD-MON-YY'),	1, 'Jan', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42770, TO_DATE('04-FEB-17', 'DD-MON-YY'),	2, 'Feb', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
        42773, TO_DATE('07-FEB-17', 'DD-MON-YY'), 2, 'Feb', 1, 'Qtr1', 2017);
INSERT INTO TIMELINE VALUES(
	42777, TO_DATE('11-FEB-17', 'DD-MON-YY'),	2, 'Feb', 1, 'Qtr1', 2017);

/*****   CUSTOMER DATA   ********************************************************/

INSERT INTO CUSTOMER VALUES(
	1, 'Shire, Robert', 'Seattle', 'WA', '98103');
INSERT INTO CUSTOMER VALUES(
	2, 'Goodyear, Katherine', 'Seattle', 'WA', '98105');
INSERT INTO CUSTOMER VALUES(
	3, 'Bancroft, Chris', 'Bellevue', 'WA', '98005');
INSERT INTO CUSTOMER VALUES(
	4, 'Griffith, John', 'Seattle', 'WA', '98109');
INSERT INTO CUSTOMER VALUES(
	5, 'Tierney, Doris', 'Bellevue', 'WA', '98005');
INSERT INTO CUSTOMER VALUES(
	6, 'Anderson, Donna', 'Mt. Vernon', 'WA', '98273');
INSERT INTO CUSTOMER VALUES(
	7, 'Svane, Jack', 'Seattle', 'WA', '98115');
INSERT INTO CUSTOMER VALUES(
	8, 'Walsh, Denesha', 'Redmond', 'WA', '98053');
INSERT INTO CUSTOMER VALUES(
	9, 'Enquist, Craig', 'Bellingham', 'WA', '98225');
INSERT INTO CUSTOMER VALUES(
	10, 'Anderson, Rose', 'Seattle', 'WA', '98105');


/*****   VENDOR DATA   **********************************************************/

INSERT INTO VENDOR VALUES(1,	'Linens and Things');
INSERT INTO VENDOR VALUES(2,	'European Specialties');
INSERT INTO VENDOR VALUES(3,	'Lamps and Lighting');
INSERT INTO VENDOR VALUES(4,	'Lee, Andrew');
INSERT INTO VENDOR VALUES(5,	'Harrison, Denise');
INSERT INTO VENDOR VALUES(6,	'New York Brokerage');
INSERT INTO VENDOR VALUES(7,	'Walsh, Denesha');
INSERT INTO VENDOR VALUES(8,	'Bancroft, Chris');
INSERT INTO VENDOR VALUES(9,	'Specialty Antiques');
INSERT INTO VENDOR VALUES(10,	'General Antiques');


/*****   ITEM DATA   ************************************************************/

INSERT INTO ITEM VALUES(1, 'Antique Desk');
INSERT INTO ITEM VALUES(2, 'Antique Desk Chair');
INSERT INTO ITEM VALUES(3, 'Dining Table Linens');
INSERT INTO ITEM VALUES(4, 'Candles');
INSERT INTO ITEM VALUES(5, 'Candles');
INSERT INTO ITEM VALUES(6, 'Desk Lamp');
INSERT INTO ITEM VALUES(7, 'Dining Table Linens');
INSERT INTO ITEM VALUES(8, 'Book Shelf');
INSERT INTO ITEM VALUES(9, 'Antique Chair');
INSERT INTO ITEM VALUES(10, 'Antique Chair');
INSERT INTO ITEM VALUES(11, 'Antique Candle Holders');
INSERT INTO ITEM VALUES(12, 'Antique Desk');
INSERT INTO ITEM VALUES(13, 'Antique Desk');
INSERT INTO ITEM VALUES(14, 'Antique Desk Chair');
INSERT INTO ITEM VALUES(15, 'Antique Desk Chair');
INSERT INTO ITEM VALUES(16, 'Desk Lamp');
INSERT INTO ITEM VALUES(17, 'Desk Lamp');
INSERT INTO ITEM VALUES(18, 'Desk Lamp');
INSERT INTO ITEM VALUES(19, 'Antique Dining Table');
INSERT INTO ITEM VALUES(20, 'Antique Sideboard');
INSERT INTO ITEM VALUES(21, 'Dining Table Chairs');
INSERT INTO ITEM VALUES(22, 'Dining Table Linens');
INSERT INTO ITEM VALUES(23, 'Dining Table Linens');
INSERT INTO ITEM VALUES(24, 'Candles');
INSERT INTO ITEM VALUES(25, 'Candles');

/*****   SALE_ITEM DATA   *******************************************************/

INSERT INTO SALE_ITEM VALUES(42718, 1, 1, 2, 3000.00); 
INSERT INTO SALE_ITEM VALUES(42718, 1, 2, 4, 500.00); 
INSERT INTO SALE_ITEM VALUES(42719, 2, 3, 1, 1000.00); 
INSERT INTO SALE_ITEM VALUES(42719, 3, 4, 1, 50.00);
INSERT INTO SALE_ITEM VALUES(42727, 4, 5, 1, 45.00); 
INSERT INTO SALE_ITEM VALUES(42740, 1, 6, 3, 250.00); 
INSERT INTO SALE_ITEM VALUES(42745, 5, 7, 1, 750.00); 
INSERT INTO SALE_ITEM VALUES(42747, 6, 8, 5, 250.00); 
INSERT INTO SALE_ITEM VALUES(42750, 2, 9, 6, 1250.00); 
INSERT INTO SALE_ITEM VALUES(42750, 2, 10, 6, 1750.00); 
INSERT INTO SALE_ITEM VALUES(42760, 5, 11, 2, 350.00); 
INSERT INTO SALE_ITEM VALUES(42770, 7, 19, 7, 5000.00); 
INSERT INTO SALE_ITEM VALUES(42770, 7, 21, 9, 8500.00); 
INSERT INTO SALE_ITEM VALUES(42770, 7, 22, 1, 750.00); 
INSERT INTO SALE_ITEM VALUES(42770, 8, 17, 10, 250.00); 
INSERT INTO SALE_ITEM VALUES(42773, 5, 24, 1, 50.00); 
INSERT INTO SALE_ITEM VALUES(42773, 9, 20, 8, 4500.00); 
INSERT INTO SALE_ITEM VALUES(42777, 10, 12, 2, 3200.00); 
INSERT INTO SALE_ITEM VALUES(42777, 10, 14, 9, 475.00); 
INSERT INTO SALE_ITEM VALUES(42777, 2, 23, 1, 800.00); 

/********************************************************************************/
